import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.module').then(m => m.TabsPageModule)
  },
  {
    path: 'tab-mine',
    loadChildren: () => import('./tab-mine/tab-mine.module').then( m => m.TabMinePageModule)
  },
  {
    path: 'user',
        loadChildren: () => import('../modules/user/user.module').then(m => m.UserModule)
  },
  {
    path: 'contacts',
        loadChildren: () => import('../modules/contacts/contacts.module').then(m => m.ContactsModule)
  },
  {
    path: 'homepage',
        loadChildren: () => import('../modules/homepage/homepage.module').then(m => m.HomepageModule)
  }
];
@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
