import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { TabsPage } from './tabs.page';

const routes: Routes = [
  {
    path: 'tabs',
    component: TabsPage,
    children: [
      {
        path: 'tab1',
        loadChildren: () => import('../../modules/homepage/home-first/home-first.module').then(m => m.HomeFirstPageModule)
      },
      {
        path: 'tab2',
        loadChildren: () => import('../../modules/contacts/friends/friends.module').then(m => m.FriendsPageModule)
      },
      {
        path: 'tab3',
        loadChildren: () => import('../../modules/user/mine/mine.module').then(mod => mod.MinePageModule)
      },
      {
        path: '',
        redirectTo: '/tabs/tab1',
        pathMatch: 'full'
      }
    ]
  },
  {
    path: '',
    redirectTo: '/tabs/tab1',
    pathMatch: 'full'
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
})
export class TabsPageRoutingModule {}
