import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';

interface Contact {
  name: string;
  avatar: string;
}

@Component({
  selector: 'app-friends',
  templateUrl: './friends.page.html',
  styleUrls: ['./friends.page.scss'],
})
export class FriendsPage implements OnInit {


  contacts: Contact[] = [
    { name: '张三', avatar: 'https://via.placeholder.com/150' },
    { name: '李四', avatar: 'https://via.placeholder.com/150' },
    { name: '王五', avatar: 'https://via.placeholder.com/150' },
    { name: '姜皓天', avatar: 'https://ts4.cn.mm.bing.net/th?id=OIP-C.YPJu6C_sxopQW7griUsdjwHaLH&w=204&h=306&c=8&rs=1&qlt=90&o=6&pid=3.1&rm=2' },
  ];

  ngOnInit() {
  }
  constructor(private router:Router) {
    
  }

  goChatPage(){
    this.router.navigate(["..//chat-page"],{
    })
  }
  goAiChatPage(){
    this.router.navigate(["..//ai-chat-page"],{
    })
  }
  // public data = [
  //   'Amsterdam',
  //   'Buenos Aires',
  //   'Cairo',
  //   'Geneva',
  //   'Hong Kong',
  //   'Istanbul',
  //   'London',
  //   'Madrid',
  //   'New York',
  //   'Panama City',
  // ];
  showDropdown = false;
  public results = [...this.contacts];

  handleInput(event: any) {
    const query = event.target.value.toLowerCase();
    this.results = this.contacts.filter((d) => d.name.toLowerCase().indexOf(query) > -1);
  }

  deleteContact(contact: Contact): void {
    const index = this.contacts.indexOf(contact);
    if (index > -1) {
      this.contacts.splice(index, 1);
    }
  }

  pinContact(contact: Contact): void {
    const index = this.contacts.indexOf(contact);
    if (index > -1) {
      const [removed] = this.contacts.splice(index, 1);
      this.contacts.unshift(removed);
    }
  }
  toggleDropdown(){
    this.showDropdown=true
  }
}
