import { Component } from '@angular/core';
import { Router } from '@angular/router';
import { AlertController, NavController } from '@ionic/angular';
import { UserService } from '../service-user/user.service';
// 引用Router服务
@Component({
  selector: 'app-login',
  templateUrl: './login.page.html',
  styleUrls: ['./login.page.scss'],
})
export class LoginPage {

  wrong:any
  constructor(
    private navCtrl:NavController,
    private userServ:UserService,
    private router:Router,
    private alertCtrl:AlertController
    ){}
  userData:any = {
    username:"",
    password:"",
    userId:""
  }

  goBack(){
    let path = localStorage.getItem("REDIRECT_URL") || "../"
    this.router.navigate([path])
  }
  async login(){
    try{
      let isLogin = await this.userServ.loginUserPassword(this.userData)
      if(isLogin){
        this.goBack()
      }
      else{
        this.wrong="密码错误请确认后点击登入"
        this.alertError()
      }
    }catch(err){
      console.log(err)
    }
  }
  async alertError(){
    const alert = await this.alertCtrl.create({
      header: '登陆失败',
      subHeader: '请检查用户名密码',
      buttons: ['好的'],
    });

    await alert.present();
  }
  back(){
    this.navCtrl.back()
  }
}
