import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

@Injectable({
  providedIn: 'root'
})
export class ChatService {
  private apiUrl = 'https://web2023.fmode.cn/parse'; // Parse后端API地址

  constructor(private http: HttpClient) {}

  // 获取聊天记录方法
  async getChatHistory(userId: string): Promise<any> {
    const url = `${this.apiUrl}/classes/Gzpmessage`; // Message为存储聊天记录的Parse类名
    const query = { senderId: userId }; // 假设使用senderId字段来表示发送者ID
    const headers = { 'X-Parse-Application-Id': 'dev' }; // Parse应用ID

    try {
      const response = await this.http.get(url, { headers, params: query }).toPromise();
      console.log(response)
    } catch (error) {
      throw new Error('Failed to get chat history.');
    }
  }
}
